<?php

namespace humanized\rbac;

/**
 * 
 * @name Yii2 RBAC Module Class 
 * @version 0.1 
 * @author Jeffrey Geyssens <jeffrey@humanized.be>
 * @package yii2-rbac
 */
class Module extends \yii\base\Module {

    public $identityClass = NULL;
    public $fnUser = NULL;

    public function init()
    {
        parent::init();
        if (\Yii::$app instanceof \yii\console\Application) {
            $this->controllerNamespace = 'humanized\rbac\commands';
        }
        $this->initIdentityModel();
    }

    /**
     * 
     */
    private function initIdentityModel()
    {
        //Setting Default Identity class
        if (!isset($this->identityClass)) {
            $this->identityClass = \Yii::$app->user->identityClass;
        }
        //Setting static finder method defined by the identity class  
        if (!isset($this->fnUser)) {
            $this->fnUser = "findByUsername";
        }

        $this->params['identityClass'] = $this->identityClass;
        $this->params['fnUser'] = $this->fnUser;
    }
    
    

}
